From c2506b84d7bd85bcafef66056a4e986d5f15acd8 Mon Sep 17 00:00:00 2001
From: Tom Dye <tsd@tsdye.com>
Date: Sat, 5 Mar 2011 07:53:29 -1000
Subject: [PATCH] * lisp/org-exp.el: initialize shortn

---
 lisp/org-exp.el   |    2 +-
 lisp/org-latex.el |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/lisp/org-exp.el b/lisp/org-exp.el
index 5f0ae5d..7d8a479 100644
--- a/lisp/org-exp.el
+++ b/lisp/org-exp.el
@@ -1816,7 +1816,7 @@ table line.  If it is a link, add it to the line containing the link."
 				   'org-label label))
 	(if label (push (cons label label) target-alist))
 	(goto-char end)
-	(setq cap nil attr nil label nil)))))
+	(setq cap nil shortn nil attr nil label nil)))))
   target-alist)
 
 (defun org-export-remove-comment-blocks-and-subtrees ()
diff --git a/lisp/org-latex.el b/lisp/org-latex.el
index c8ea77a..5157fec 100644
--- a/lisp/org-latex.el
+++ b/lisp/org-latex.el
@@ -2198,12 +2198,12 @@ The conversion is made depending of STRING-BEFORE and STRING-AFTER."
 	   (multicolumnp "\\begin{figure*}%placement
 \\centering
 \\includegraphics[%attr]{%path}
-\\caption{%labelcmd%caption}
+\\caption%shortn{%labelcmd%caption}
 \\end{figure*}")
 	   (floatp "\\begin{figure}%placement
 \\centering
 \\includegraphics[%attr]{%path}
-\\caption{%labelcmd%caption}
+\\caption%shortn{%labelcmd%caption}
 \\end{figure}")
 	   (t "\\includegraphics[%attr]{%path}")))
 
-- 
1.7.1

